<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [Channels](./iceshrimp-sdk.channels.md)

## Channels type

**Signature:**

```typescript
export type Channels = {
    main: {
        params: null;
        events: {
            notification: (payload: Notification) => void;
            mention: (payload: Note) => void;
            reply: (payload: Note) => void;
            renote: (payload: Note) => void;
            follow: (payload: User) => void;
            followed: (payload: User) => void;
            unfollow: (payload: User) => void;
            meUpdated: (payload: MeDetailed) => void;
            pageEvent: (payload: PageEvent) => void;
            urlUploadFinished: (payload: {
                marker: string;
                file: DriveFile;
            }) => void;
            readAllNotifications: () => void;
            unreadNotification: (payload: Notification) => void;
            unreadMention: (payload: Note["id"]) => void;
            readAllUnreadMentions: () => void;
            unreadSpecifiedNote: (payload: Note["id"]) => void;
            readAllUnreadSpecifiedNotes: () => void;
            readAllMessagingMessages: () => void;
            messagingMessage: (payload: MessagingMessage) => void;
            unreadMessagingMessage: (payload: MessagingMessage) => void;
            readAllAntennas: () => void;
            unreadAntenna: (payload: Antenna) => void;
            readAllAnnouncements: () => void;
            readAllChannels: () => void;
            unreadChannel: (payload: Note["id"]) => void;
            myTokenRegenerated: () => void;
            reversiNoInvites: () => void;
            reversiInvited: (payload: FIXME) => void;
            signin: (payload: FIXME) => void;
            registryUpdated: (payload: {
                scope?: string[];
                key: string;
                value: any | null;
            }) => void;
            driveFileCreated: (payload: DriveFile) => void;
            readAntenna: (payload: Antenna) => void;
        };
        receives: null;
    };
    homeTimeline: {
        params: null;
        events: {
            note: (payload: Note) => void;
        };
        receives: null;
    };
    localTimeline: {
        params: null;
        events: {
            note: (payload: Note) => void;
        };
        receives: null;
    };
    hybridTimeline: {
        params: null;
        events: {
            note: (payload: Note) => void;
        };
        receives: null;
    };
    recommendedTimeline: {
        params: null;
        events: {
            note: (payload: Note) => void;
        };
        receives: null;
    };
    globalTimeline: {
        params: null;
        events: {
            note: (payload: Note) => void;
        };
        receives: null;
    };
    antenna: {
        params: {
            antennaId: Antenna["id"];
        };
        events: {
            note: (payload: Note) => void;
        };
        receives: null;
    };
    messaging: {
        params: {
            otherparty?: User["id"] | null;
            group?: UserGroup["id"] | null;
        };
        events: {
            message: (payload: MessagingMessage) => void;
            deleted: (payload: MessagingMessage["id"]) => void;
            read: (payload: MessagingMessage["id"][]) => void;
            typers: (payload: User[]) => void;
        };
        receives: {
            read: {
                id: MessagingMessage["id"];
            };
        };
    };
    serverStats: {
        params: null;
        events: {
            stats: (payload: FIXME) => void;
        };
        receives: {
            requestLog: {
                id: string | number;
                length: number;
            };
        };
    };
    queueStats: {
        params: null;
        events: {
            stats: (payload: FIXME) => void;
        };
        receives: {
            requestLog: {
                id: string | number;
                length: number;
            };
        };
    };
};
```
**References:** [Note](./iceshrimp-sdk.entities.note.md)<!-- -->, [User](./iceshrimp-sdk.entities.user.md)<!-- -->, [MeDetailed](./iceshrimp-sdk.entities.medetailed.md)<!-- -->, [PageEvent](./iceshrimp-sdk.entities.pageevent.md)<!-- -->, [DriveFile](./iceshrimp-sdk.entities.drivefile.md)<!-- -->, [MessagingMessage](./iceshrimp-sdk.entities.messagingmessage.md)<!-- -->, [Antenna](./iceshrimp-sdk.entities.antenna.md)<!-- -->, [UserGroup](./iceshrimp-sdk.entities.usergroup.md)

